Cantera 2.6.0

Classes | Namespaces | Functions
KineticsFactory.h File Reference
`#include "Kinetics.h"`
`#include "cantera/base/FactoryBase.h"`
`#include "cantera/base/AnyMap.h"`
Include dependency graph for KineticsFactory.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | UnknownKineticsModel
class | KineticsFactory
| Factory for kinetics managers. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
Kinetics * | newKineticsMgr (XML_Node &phase, std::vector< ThermoPhase * > th)
| Create a new kinetics manager. More...
Kinetics * | newKineticsMgr (const std::string &model)
| Create a new kinetics manager. More...
shared_ptr< Kinetics > | newKinetics (const std::string &model)
| Create a new Kinetics instance. More...
unique_ptr< Kinetics > | newKinetics (const vector< ThermoPhase * > &phases, const AnyMap &phaseNode, const AnyMap &rootNode)
unique_ptr< Kinetics > | newKinetics (const std::vector< ThermoPhase * > &phases, const std::string &filename, const std::string &phase_name)
void | addReactions (Kinetics &kin, const AnyMap &phaseNode, const AnyMap &rootNode)